"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeliCheckpointManagerFromCollection = void 0;
function createDeliCheckpointManagerFromCollection(tenantId, documentId, collection) {
    const checkpointManager = {
        writeCheckpoint: async (checkpoint) => {
            return collection.update({
                documentId,
                tenantId,
            }, {
                deli: JSON.stringify(checkpoint),
            }, null);
        },
        deleteCheckpoint: async () => {
            return collection.update({
                documentId,
                tenantId,
            }, {
                deli: "",
            }, null);
        },
    };
    return checkpointManager;
}
exports.createDeliCheckpointManagerFromCollection = createDeliCheckpointManagerFromCollection;
//# sourceMappingURL=checkpointManager.js.map