/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/// <reference types="node" />
import { EventEmitter } from "events";
import { ICollection, IContext, IDeltaService, IDocument, IPartitionLambda, IPartitionLambdaConfig, IPartitionLambdaFactory, IProducer, ISequencedOperationMessage, IServiceConfiguration, ITenantManager, MongoManager } from "@fluidframework/server-services-core";
export declare class ScribeLambdaFactory extends EventEmitter implements IPartitionLambdaFactory {
    private readonly mongoManager;
    private readonly documentCollection;
    private readonly messageCollection;
    private readonly producer;
    private readonly deltaManager;
    private readonly tenantManager;
    private readonly serviceConfiguration;
    private readonly enableWholeSummaryUpload;
    private readonly getDeltasViaAlfred;
    constructor(mongoManager: MongoManager, documentCollection: ICollection<IDocument>, messageCollection: ICollection<ISequencedOperationMessage>, producer: IProducer, deltaManager: IDeltaService, tenantManager: ITenantManager, serviceConfiguration: IServiceConfiguration, enableWholeSummaryUpload: boolean, getDeltasViaAlfred: boolean);
    create(config: IPartitionLambdaConfig, context: IContext): Promise<IPartitionLambda>;
    dispose(): Promise<void>;
    private sendLambdaStartResult;
}
//# sourceMappingURL=lambdaFactory.d.ts.map